<html lang='en'>
	<head>
		{head}
		<title>kheina.com - the world's largest furry image index</title>
		<meta property='og:title' content="kheina.com - the world's largest furry image index"/>
		<script src='/static/index.js'></script>
		<script type='text/javascript'>
			function downloadJSAtOnload() {
				var element = document.createElement('script');
				element.type = 'text/javascript';
				element.innerHTML = 'indexOnLoad();';
				document.body.appendChild(element);
			}

			if (window.addEventListener)
				window.addEventListener('load', downloadJSAtOnload, false);
			else if (window.attachEvent)
				window.attachEvent('onload', downloadJSAtOnload);
			else window.onload = downloadJSAtOnload;

			if (window.addEventListener)
				window.addEventListener('unload', onUnload, false);
			else if (window.attachEvent)
				window.attachEvent('onunload', onUnload);
			else window.onunload = onUnload;
		</script>
	</head>
	<!-- ♀ -->
	<body>
		<div id='content' class='centery'>
			{header}
			<div class='main'>
				<img src='/static/loading.gif' class='loading'>
				<div class='loadingcover'></div>
				<!--
				<div class='mascot'>
				<img src='/static/test.png'>
				<br>
				<span>mascot by <data id='mascot' style='display:inline;'><a href='http://furaffinity.net/user/tarrasaur'>tarrasaur</a></data></span>
				</div>
				-->
				<p class='statictitle'>Reverse Image Search<a class='beta' href='https://gitlab.com/kheina/kheina.com'>beta</a></p>
				<data id='subtitle'></data>
				<form action='' method='post' enctype='multipart/form-data' class='centerx'>
					<span>Search via file</span><br>
					<input type='file' name='file' id='file' size='50' autocomplete='off' class='interactable upload'><br>
					<span>...or by url</span><br>
					<input type='url' id='url' name='url' value='' autocomplete='off' class='interactable text'><br>
					<span>Maximum rating</span><br>
					<div class='maxrating'>
						<input type='radio' name='maxrating' value='0' id='General' onclick="setCookie('maxrating', 0);" checked><label for='General'>General</label>
						<input type='radio' name='maxrating' value='1' id='Mature' onclick="setCookie('maxrating', 1);"><label for='Mature'>Mature</label>
						<input type='radio' name='maxrating' value='2' id='Explicit' onclick="setCookie('maxrating', 2);"><label for='Explicit'>Explicit</label>
					</div>
					<!--
					<span>Integrated Search</span><br>
					<div class='integratedsearch'>
						<input type='checkbox' name='integratedsearch' value='iqdb.harry.lu' id='iqdb.harry.lu'><label for='iqdb.harry.lu'><div id='checkmark'><div></div></div>iqdb.harry.lu</label>
						<input type='checkbox' name='integratedsearch' value='saucenao.com' id='saucenao.com'><label for='saucenao.com'><div id='checkmark'><div></div></div>sauceNAO's e621 index</label>
					</div>
					-->
					<input type='submit' value='Submit »' accesskey='s' class='interactable submit' onclick='search();'>
				</form>
				<p class='center'>
					maximum file size: 8192 KB<br>
					supported file types are: .jpg, .png, and .gif<br>
					maximum image size: 56,250,000 pixels (7500x7500)<br>
					image database updates every ~15 minutes (last updated: <data id='lastupdate'></data>)
				</p>
				{themes}
			</div>
			{footer}
		</div>
		{cookies}
	</body>
</html>
